/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:24:13.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.controller;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.entity.PrintingTemplate;
import cn.com.qmth.examcloud.core.print.service.PrintingTemplateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 印刷模板相关接口
 *
 * @author: fengdesheng
 * @since: 2018/11/01
 */
@RestController
@Api(tags = "印刷模板相关接口")
@RequestMapping("${$rmp.ctrl.print}/project/template")
public class PrintingTemplateController extends ControllerSupport {
    @Autowired
    private PrintingTemplateService printingTemplateService;

    @PostMapping("/{id}")
    @ApiOperation(value = "获取某个模板信息")
    public PrintingTemplate get(@PathVariable Long id) {
        return printingTemplateService.getPrintingTemplateById(id);
    }

}